Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network49.0.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
49.0.0.0
Broadcast address
49.0.127.255
First usable
49.0.0.1
Last usable
49.0.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
A (default /8)
As numbers
Hex 31000000 · Integer 822083584 to 822116351
Reverse DNS zones
0.0.49.in-addr.arpa
1.0.49.in-addr.arpa
2.0.49.in-addr.arpa
3.0.49.in-addr.arpa
4.0.49.in-addr.arpa
5.0.49.in-addr.arpa
6.0.49.in-addr.arpa
7.0.49.in-addr.arpa
8.0.49.in-addr.arpa
9.0.49.in-addr.arpa
10.0.49.in-addr.arpa
11.0.49.in-addr.arpa
12.0.49.in-addr.arpa
13.0.49.in-addr.arpa
14.0.49.in-addr.arpa
15.0.49.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00110001.00000000.00000000.0000000049.0.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network00110001.00000000.00000000.0000000049.0.0.0
Broadcast00110001.00000000.01111111.1111111149.0.127.255
Split into smaller subnets/26

49.0.0.0/17 makes 512 subnets of /26; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
149.0.0.0/2649.0.0.1 to 49.0.0.6249.0.0.6362
249.0.0.64/2649.0.0.65 to 49.0.0.12649.0.0.12762
349.0.0.128/2649.0.0.129 to 49.0.0.19049.0.0.19162
449.0.0.192/2649.0.0.193 to 49.0.0.25449.0.0.25562
549.0.1.0/2649.0.1.1 to 49.0.1.6249.0.1.6362
649.0.1.64/2649.0.1.65 to 49.0.1.12649.0.1.12762
749.0.1.128/2649.0.1.129 to 49.0.1.19049.0.1.19162
849.0.1.192/2649.0.1.193 to 49.0.1.25449.0.1.25562
949.0.2.0/2649.0.2.1 to 49.0.2.6249.0.2.6362
1049.0.2.64/2649.0.2.65 to 49.0.2.12649.0.2.12762
1149.0.2.128/2649.0.2.129 to 49.0.2.19049.0.2.19162
1249.0.2.192/2649.0.2.193 to 49.0.2.25449.0.2.25562
1349.0.3.0/2649.0.3.1 to 49.0.3.6249.0.3.6362
1449.0.3.64/2649.0.3.65 to 49.0.3.12649.0.3.12762
1549.0.3.128/2649.0.3.129 to 49.0.3.19049.0.3.19162
1649.0.3.192/2649.0.3.193 to 49.0.3.25449.0.3.25562
1749.0.4.0/2649.0.4.1 to 49.0.4.6249.0.4.6362
1849.0.4.64/2649.0.4.65 to 49.0.4.12649.0.4.12762
1949.0.4.128/2649.0.4.129 to 49.0.4.19049.0.4.19162
2049.0.4.192/2649.0.4.193 to 49.0.4.25449.0.4.25562
2149.0.5.0/2649.0.5.1 to 49.0.5.6249.0.5.6362
2249.0.5.64/2649.0.5.65 to 49.0.5.12649.0.5.12762
2349.0.5.128/2649.0.5.129 to 49.0.5.19049.0.5.19162
2449.0.5.192/2649.0.5.193 to 49.0.5.25449.0.5.25562
2549.0.6.0/2649.0.6.1 to 49.0.6.6249.0.6.6362
2649.0.6.64/2649.0.6.65 to 49.0.6.12649.0.6.12762
2749.0.6.128/2649.0.6.129 to 49.0.6.19049.0.6.19162
2849.0.6.192/2649.0.6.193 to 49.0.6.25449.0.6.25562
2949.0.7.0/2649.0.7.1 to 49.0.7.6249.0.7.6362
3049.0.7.64/2649.0.7.65 to 49.0.7.12649.0.7.12762
3149.0.7.128/2649.0.7.129 to 49.0.7.19049.0.7.19162
3249.0.7.192/2649.0.7.193 to 49.0.7.25449.0.7.25562
3349.0.8.0/2649.0.8.1 to 49.0.8.6249.0.8.6362
3449.0.8.64/2649.0.8.65 to 49.0.8.12649.0.8.12762
3549.0.8.128/2649.0.8.129 to 49.0.8.19049.0.8.19162
3649.0.8.192/2649.0.8.193 to 49.0.8.25449.0.8.25562
3749.0.9.0/2649.0.9.1 to 49.0.9.6249.0.9.6362
3849.0.9.64/2649.0.9.65 to 49.0.9.12649.0.9.12762
3949.0.9.128/2649.0.9.129 to 49.0.9.19049.0.9.19162
4049.0.9.192/2649.0.9.193 to 49.0.9.25449.0.9.25562
4149.0.10.0/2649.0.10.1 to 49.0.10.6249.0.10.6362
4249.0.10.64/2649.0.10.65 to 49.0.10.12649.0.10.12762
4349.0.10.128/2649.0.10.129 to 49.0.10.19049.0.10.19162
4449.0.10.192/2649.0.10.193 to 49.0.10.25449.0.10.25562
4549.0.11.0/2649.0.11.1 to 49.0.11.6249.0.11.6362
4649.0.11.64/2649.0.11.65 to 49.0.11.12649.0.11.12762
4749.0.11.128/2649.0.11.129 to 49.0.11.19049.0.11.19162
4849.0.11.192/2649.0.11.193 to 49.0.11.25449.0.11.25562
4949.0.12.0/2649.0.12.1 to 49.0.12.6249.0.12.6362
5049.0.12.64/2649.0.12.65 to 49.0.12.12649.0.12.12762
5149.0.12.128/2649.0.12.129 to 49.0.12.19049.0.12.19162
5249.0.12.192/2649.0.12.193 to 49.0.12.25449.0.12.25562
5349.0.13.0/2649.0.13.1 to 49.0.13.6249.0.13.6362
5449.0.13.64/2649.0.13.65 to 49.0.13.12649.0.13.12762
5549.0.13.128/2649.0.13.129 to 49.0.13.19049.0.13.19162
5649.0.13.192/2649.0.13.193 to 49.0.13.25449.0.13.25562
5749.0.14.0/2649.0.14.1 to 49.0.14.6249.0.14.6362
5849.0.14.64/2649.0.14.65 to 49.0.14.12649.0.14.12762
5949.0.14.128/2649.0.14.129 to 49.0.14.19049.0.14.19162
6049.0.14.192/2649.0.14.193 to 49.0.14.25449.0.14.25562
6149.0.15.0/2649.0.15.1 to 49.0.15.6249.0.15.6362
6249.0.15.64/2649.0.15.65 to 49.0.15.12649.0.15.12762
6349.0.15.128/2649.0.15.129 to 49.0.15.19049.0.15.19162
6449.0.15.192/2649.0.15.193 to 49.0.15.25449.0.15.25562
6549.0.16.0/2649.0.16.1 to 49.0.16.6249.0.16.6362
6649.0.16.64/2649.0.16.65 to 49.0.16.12649.0.16.12762
6749.0.16.128/2649.0.16.129 to 49.0.16.19049.0.16.19162
6849.0.16.192/2649.0.16.193 to 49.0.16.25449.0.16.25562
6949.0.17.0/2649.0.17.1 to 49.0.17.6249.0.17.6362
7049.0.17.64/2649.0.17.65 to 49.0.17.12649.0.17.12762
7149.0.17.128/2649.0.17.129 to 49.0.17.19049.0.17.19162
7249.0.17.192/2649.0.17.193 to 49.0.17.25449.0.17.25562
7349.0.18.0/2649.0.18.1 to 49.0.18.6249.0.18.6362
7449.0.18.64/2649.0.18.65 to 49.0.18.12649.0.18.12762
7549.0.18.128/2649.0.18.129 to 49.0.18.19049.0.18.19162
7649.0.18.192/2649.0.18.193 to 49.0.18.25449.0.18.25562
7749.0.19.0/2649.0.19.1 to 49.0.19.6249.0.19.6362
7849.0.19.64/2649.0.19.65 to 49.0.19.12649.0.19.12762
7949.0.19.128/2649.0.19.129 to 49.0.19.19049.0.19.19162
8049.0.19.192/2649.0.19.193 to 49.0.19.25449.0.19.25562
8149.0.20.0/2649.0.20.1 to 49.0.20.6249.0.20.6362
8249.0.20.64/2649.0.20.65 to 49.0.20.12649.0.20.12762
8349.0.20.128/2649.0.20.129 to 49.0.20.19049.0.20.19162
8449.0.20.192/2649.0.20.193 to 49.0.20.25449.0.20.25562
8549.0.21.0/2649.0.21.1 to 49.0.21.6249.0.21.6362
8649.0.21.64/2649.0.21.65 to 49.0.21.12649.0.21.12762
8749.0.21.128/2649.0.21.129 to 49.0.21.19049.0.21.19162
8849.0.21.192/2649.0.21.193 to 49.0.21.25449.0.21.25562
8949.0.22.0/2649.0.22.1 to 49.0.22.6249.0.22.6362
9049.0.22.64/2649.0.22.65 to 49.0.22.12649.0.22.12762
9149.0.22.128/2649.0.22.129 to 49.0.22.19049.0.22.19162
9249.0.22.192/2649.0.22.193 to 49.0.22.25449.0.22.25562
9349.0.23.0/2649.0.23.1 to 49.0.23.6249.0.23.6362
9449.0.23.64/2649.0.23.65 to 49.0.23.12649.0.23.12762
9549.0.23.128/2649.0.23.129 to 49.0.23.19049.0.23.19162
9649.0.23.192/2649.0.23.193 to 49.0.23.25449.0.23.25562
9749.0.24.0/2649.0.24.1 to 49.0.24.6249.0.24.6362
9849.0.24.64/2649.0.24.65 to 49.0.24.12649.0.24.12762
9949.0.24.128/2649.0.24.129 to 49.0.24.19049.0.24.19162
10049.0.24.192/2649.0.24.193 to 49.0.24.25449.0.24.25562
10149.0.25.0/2649.0.25.1 to 49.0.25.6249.0.25.6362
10249.0.25.64/2649.0.25.65 to 49.0.25.12649.0.25.12762
10349.0.25.128/2649.0.25.129 to 49.0.25.19049.0.25.19162
10449.0.25.192/2649.0.25.193 to 49.0.25.25449.0.25.25562
10549.0.26.0/2649.0.26.1 to 49.0.26.6249.0.26.6362
10649.0.26.64/2649.0.26.65 to 49.0.26.12649.0.26.12762
10749.0.26.128/2649.0.26.129 to 49.0.26.19049.0.26.19162
10849.0.26.192/2649.0.26.193 to 49.0.26.25449.0.26.25562
10949.0.27.0/2649.0.27.1 to 49.0.27.6249.0.27.6362
11049.0.27.64/2649.0.27.65 to 49.0.27.12649.0.27.12762
11149.0.27.128/2649.0.27.129 to 49.0.27.19049.0.27.19162
11249.0.27.192/2649.0.27.193 to 49.0.27.25449.0.27.25562
11349.0.28.0/2649.0.28.1 to 49.0.28.6249.0.28.6362
11449.0.28.64/2649.0.28.65 to 49.0.28.12649.0.28.12762
11549.0.28.128/2649.0.28.129 to 49.0.28.19049.0.28.19162
11649.0.28.192/2649.0.28.193 to 49.0.28.25449.0.28.25562
11749.0.29.0/2649.0.29.1 to 49.0.29.6249.0.29.6362
11849.0.29.64/2649.0.29.65 to 49.0.29.12649.0.29.12762
11949.0.29.128/2649.0.29.129 to 49.0.29.19049.0.29.19162
12049.0.29.192/2649.0.29.193 to 49.0.29.25449.0.29.25562
12149.0.30.0/2649.0.30.1 to 49.0.30.6249.0.30.6362
12249.0.30.64/2649.0.30.65 to 49.0.30.12649.0.30.12762
12349.0.30.128/2649.0.30.129 to 49.0.30.19049.0.30.19162
12449.0.30.192/2649.0.30.193 to 49.0.30.25449.0.30.25562
12549.0.31.0/2649.0.31.1 to 49.0.31.6249.0.31.6362
12649.0.31.64/2649.0.31.65 to 49.0.31.12649.0.31.12762
12749.0.31.128/2649.0.31.129 to 49.0.31.19049.0.31.19162
12849.0.31.192/2649.0.31.193 to 49.0.31.25449.0.31.25562
12949.0.32.0/2649.0.32.1 to 49.0.32.6249.0.32.6362
13049.0.32.64/2649.0.32.65 to 49.0.32.12649.0.32.12762
13149.0.32.128/2649.0.32.129 to 49.0.32.19049.0.32.19162
13249.0.32.192/2649.0.32.193 to 49.0.32.25449.0.32.25562
13349.0.33.0/2649.0.33.1 to 49.0.33.6249.0.33.6362
13449.0.33.64/2649.0.33.65 to 49.0.33.12649.0.33.12762
13549.0.33.128/2649.0.33.129 to 49.0.33.19049.0.33.19162
13649.0.33.192/2649.0.33.193 to 49.0.33.25449.0.33.25562
13749.0.34.0/2649.0.34.1 to 49.0.34.6249.0.34.6362
13849.0.34.64/2649.0.34.65 to 49.0.34.12649.0.34.12762
13949.0.34.128/2649.0.34.129 to 49.0.34.19049.0.34.19162
14049.0.34.192/2649.0.34.193 to 49.0.34.25449.0.34.25562
14149.0.35.0/2649.0.35.1 to 49.0.35.6249.0.35.6362
14249.0.35.64/2649.0.35.65 to 49.0.35.12649.0.35.12762
14349.0.35.128/2649.0.35.129 to 49.0.35.19049.0.35.19162
14449.0.35.192/2649.0.35.193 to 49.0.35.25449.0.35.25562
14549.0.36.0/2649.0.36.1 to 49.0.36.6249.0.36.6362
14649.0.36.64/2649.0.36.65 to 49.0.36.12649.0.36.12762
14749.0.36.128/2649.0.36.129 to 49.0.36.19049.0.36.19162
14849.0.36.192/2649.0.36.193 to 49.0.36.25449.0.36.25562
14949.0.37.0/2649.0.37.1 to 49.0.37.6249.0.37.6362
15049.0.37.64/2649.0.37.65 to 49.0.37.12649.0.37.12762
15149.0.37.128/2649.0.37.129 to 49.0.37.19049.0.37.19162
15249.0.37.192/2649.0.37.193 to 49.0.37.25449.0.37.25562
15349.0.38.0/2649.0.38.1 to 49.0.38.6249.0.38.6362
15449.0.38.64/2649.0.38.65 to 49.0.38.12649.0.38.12762
15549.0.38.128/2649.0.38.129 to 49.0.38.19049.0.38.19162
15649.0.38.192/2649.0.38.193 to 49.0.38.25449.0.38.25562
15749.0.39.0/2649.0.39.1 to 49.0.39.6249.0.39.6362
15849.0.39.64/2649.0.39.65 to 49.0.39.12649.0.39.12762
15949.0.39.128/2649.0.39.129 to 49.0.39.19049.0.39.19162
16049.0.39.192/2649.0.39.193 to 49.0.39.25449.0.39.25562
16149.0.40.0/2649.0.40.1 to 49.0.40.6249.0.40.6362
16249.0.40.64/2649.0.40.65 to 49.0.40.12649.0.40.12762
16349.0.40.128/2649.0.40.129 to 49.0.40.19049.0.40.19162
16449.0.40.192/2649.0.40.193 to 49.0.40.25449.0.40.25562
16549.0.41.0/2649.0.41.1 to 49.0.41.6249.0.41.6362
16649.0.41.64/2649.0.41.65 to 49.0.41.12649.0.41.12762
16749.0.41.128/2649.0.41.129 to 49.0.41.19049.0.41.19162
16849.0.41.192/2649.0.41.193 to 49.0.41.25449.0.41.25562
16949.0.42.0/2649.0.42.1 to 49.0.42.6249.0.42.6362
17049.0.42.64/2649.0.42.65 to 49.0.42.12649.0.42.12762
17149.0.42.128/2649.0.42.129 to 49.0.42.19049.0.42.19162
17249.0.42.192/2649.0.42.193 to 49.0.42.25449.0.42.25562
17349.0.43.0/2649.0.43.1 to 49.0.43.6249.0.43.6362
17449.0.43.64/2649.0.43.65 to 49.0.43.12649.0.43.12762
17549.0.43.128/2649.0.43.129 to 49.0.43.19049.0.43.19162
17649.0.43.192/2649.0.43.193 to 49.0.43.25449.0.43.25562
17749.0.44.0/2649.0.44.1 to 49.0.44.6249.0.44.6362
17849.0.44.64/2649.0.44.65 to 49.0.44.12649.0.44.12762
17949.0.44.128/2649.0.44.129 to 49.0.44.19049.0.44.19162
18049.0.44.192/2649.0.44.193 to 49.0.44.25449.0.44.25562
18149.0.45.0/2649.0.45.1 to 49.0.45.6249.0.45.6362
18249.0.45.64/2649.0.45.65 to 49.0.45.12649.0.45.12762
18349.0.45.128/2649.0.45.129 to 49.0.45.19049.0.45.19162
18449.0.45.192/2649.0.45.193 to 49.0.45.25449.0.45.25562
18549.0.46.0/2649.0.46.1 to 49.0.46.6249.0.46.6362
18649.0.46.64/2649.0.46.65 to 49.0.46.12649.0.46.12762
18749.0.46.128/2649.0.46.129 to 49.0.46.19049.0.46.19162
18849.0.46.192/2649.0.46.193 to 49.0.46.25449.0.46.25562
18949.0.47.0/2649.0.47.1 to 49.0.47.6249.0.47.6362
19049.0.47.64/2649.0.47.65 to 49.0.47.12649.0.47.12762
19149.0.47.128/2649.0.47.129 to 49.0.47.19049.0.47.19162
19249.0.47.192/2649.0.47.193 to 49.0.47.25449.0.47.25562
19349.0.48.0/2649.0.48.1 to 49.0.48.6249.0.48.6362
19449.0.48.64/2649.0.48.65 to 49.0.48.12649.0.48.12762
19549.0.48.128/2649.0.48.129 to 49.0.48.19049.0.48.19162
19649.0.48.192/2649.0.48.193 to 49.0.48.25449.0.48.25562
19749.0.49.0/2649.0.49.1 to 49.0.49.6249.0.49.6362
19849.0.49.64/2649.0.49.65 to 49.0.49.12649.0.49.12762
19949.0.49.128/2649.0.49.129 to 49.0.49.19049.0.49.19162
20049.0.49.192/2649.0.49.193 to 49.0.49.25449.0.49.25562
20149.0.50.0/2649.0.50.1 to 49.0.50.6249.0.50.6362
20249.0.50.64/2649.0.50.65 to 49.0.50.12649.0.50.12762
20349.0.50.128/2649.0.50.129 to 49.0.50.19049.0.50.19162
20449.0.50.192/2649.0.50.193 to 49.0.50.25449.0.50.25562
20549.0.51.0/2649.0.51.1 to 49.0.51.6249.0.51.6362
20649.0.51.64/2649.0.51.65 to 49.0.51.12649.0.51.12762
20749.0.51.128/2649.0.51.129 to 49.0.51.19049.0.51.19162
20849.0.51.192/2649.0.51.193 to 49.0.51.25449.0.51.25562
20949.0.52.0/2649.0.52.1 to 49.0.52.6249.0.52.6362
21049.0.52.64/2649.0.52.65 to 49.0.52.12649.0.52.12762
21149.0.52.128/2649.0.52.129 to 49.0.52.19049.0.52.19162
21249.0.52.192/2649.0.52.193 to 49.0.52.25449.0.52.25562
21349.0.53.0/2649.0.53.1 to 49.0.53.6249.0.53.6362
21449.0.53.64/2649.0.53.65 to 49.0.53.12649.0.53.12762
21549.0.53.128/2649.0.53.129 to 49.0.53.19049.0.53.19162
21649.0.53.192/2649.0.53.193 to 49.0.53.25449.0.53.25562
21749.0.54.0/2649.0.54.1 to 49.0.54.6249.0.54.6362
21849.0.54.64/2649.0.54.65 to 49.0.54.12649.0.54.12762
21949.0.54.128/2649.0.54.129 to 49.0.54.19049.0.54.19162
22049.0.54.192/2649.0.54.193 to 49.0.54.25449.0.54.25562
22149.0.55.0/2649.0.55.1 to 49.0.55.6249.0.55.6362
22249.0.55.64/2649.0.55.65 to 49.0.55.12649.0.55.12762
22349.0.55.128/2649.0.55.129 to 49.0.55.19049.0.55.19162
22449.0.55.192/2649.0.55.193 to 49.0.55.25449.0.55.25562
22549.0.56.0/2649.0.56.1 to 49.0.56.6249.0.56.6362
22649.0.56.64/2649.0.56.65 to 49.0.56.12649.0.56.12762
22749.0.56.128/2649.0.56.129 to 49.0.56.19049.0.56.19162
22849.0.56.192/2649.0.56.193 to 49.0.56.25449.0.56.25562
22949.0.57.0/2649.0.57.1 to 49.0.57.6249.0.57.6362
23049.0.57.64/2649.0.57.65 to 49.0.57.12649.0.57.12762
23149.0.57.128/2649.0.57.129 to 49.0.57.19049.0.57.19162
23249.0.57.192/2649.0.57.193 to 49.0.57.25449.0.57.25562
23349.0.58.0/2649.0.58.1 to 49.0.58.6249.0.58.6362
23449.0.58.64/2649.0.58.65 to 49.0.58.12649.0.58.12762
23549.0.58.128/2649.0.58.129 to 49.0.58.19049.0.58.19162
23649.0.58.192/2649.0.58.193 to 49.0.58.25449.0.58.25562
23749.0.59.0/2649.0.59.1 to 49.0.59.6249.0.59.6362
23849.0.59.64/2649.0.59.65 to 49.0.59.12649.0.59.12762
23949.0.59.128/2649.0.59.129 to 49.0.59.19049.0.59.19162
24049.0.59.192/2649.0.59.193 to 49.0.59.25449.0.59.25562
24149.0.60.0/2649.0.60.1 to 49.0.60.6249.0.60.6362
24249.0.60.64/2649.0.60.65 to 49.0.60.12649.0.60.12762
24349.0.60.128/2649.0.60.129 to 49.0.60.19049.0.60.19162
24449.0.60.192/2649.0.60.193 to 49.0.60.25449.0.60.25562
24549.0.61.0/2649.0.61.1 to 49.0.61.6249.0.61.6362
24649.0.61.64/2649.0.61.65 to 49.0.61.12649.0.61.12762
24749.0.61.128/2649.0.61.129 to 49.0.61.19049.0.61.19162
24849.0.61.192/2649.0.61.193 to 49.0.61.25449.0.61.25562
24949.0.62.0/2649.0.62.1 to 49.0.62.6249.0.62.6362
25049.0.62.64/2649.0.62.65 to 49.0.62.12649.0.62.12762
25149.0.62.128/2649.0.62.129 to 49.0.62.19049.0.62.19162
25249.0.62.192/2649.0.62.193 to 49.0.62.25449.0.62.25562
25349.0.63.0/2649.0.63.1 to 49.0.63.6249.0.63.6362
25449.0.63.64/2649.0.63.65 to 49.0.63.12649.0.63.12762
25549.0.63.128/2649.0.63.129 to 49.0.63.19049.0.63.19162
25649.0.63.192/2649.0.63.193 to 49.0.63.25449.0.63.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses